API REFERENCE
Monitor Task List API
POST
/open-api/v1/ad-monitor-task/list·api.ppspy.com
Data and monitoring usage rules
Points Consumption Rules: 1. Retrieving a Shopify data result consumes 1 data, while retrieving an ad library data result consumes 2 data. Retrieving additional data details for a data result does not consume data. 2. Ad monitoring and sales monitoring: Each monitoring session costs $1/month. Each monitoring session is valid for one month and automatically expires after one month. Deleting a monitoring session does not restore the monitoring session, so please delete with caution. Monitoring sessions can be accessed at any time and are unlimited.
Request headers
AUTHORIZATION
Authorization: {API Key}CONTENT-TYPE
application/jsonACCEPT
application/jsonRequest example
cURL
curl --location --request POST 'https://api.ppspy.com/open-api/v1/ad-monitor-task/list' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: {API Key}' \
--data-raw '{
"page": 1,
"per_page": 10
}' Request parameters
Pass each parameter in its specified location.
| Parameter | Type | Description |
|---|---|---|
| body
body · optional
| object | | - |
| » keyword
body · optional
| string | Search Keyword | none |
| » monitor_task_type
body · optional
| integer | Monitor Task Type | Optional values: 1-Facebook Advertiser, 2-Store/Website. |
| » country
body · optional
| string | Country | none |
| » order_by
body · optional
| string | Sort Field | Optional values: started_at-Start Monitoring Time, ad_total_count-Total Ads, ad_total_active_count-Total Active Ads, ad_today_count-Today's New Ads, ad_yesterday_count-Yesterday's New Ads, landing_page_total_count-Total Landing Pages, landing_page_today_count-Today's New Landing Pages, landing_page_yesterday_count-Yesterday's New Landing Pages, product_total_count-Total Products, product_today_count-Today's New Products, product_yesterday_count-Yesterday's New Products. |
| » direction
body · optional
| string | Sort Direction | Optional values: desc-Descending, asc-Ascending. |
| » page
body · optional
| integer | Page Number | Minimum value equals 1. |
| » per_page
body · optional
| integer | Page Size | Value range 1-100. |
| » group_id
body · optional
| string | Group ID | none |
Response example
Response · JSON
{
"code": 200,
"message": "success",
"data": {
"current_page": 1,
"data": [
{
"task_id": "902175d02614903e4944dfdfe85bbb4d",
"updated_at": 1761229088,
"monitor_task_type": 1,
"facebook_page_id": "100726615757315",
"facebook_page_url": null,
"facebook_shop_url": null,
"facebook_shop_search_url": null,
"name": "Coloringbook",
"avatar_url": "https://scontent-nrt1-2.xx.fbcdn.net/v/t39.30808-1/250115514_100726659090644_7405549375147557340_n.png?stp=dst-png_s100x100&_nc_cat=101&ccb=1-7&_nc_sid=418b77&_nc_ohc=oR82bdd8LsEQ7kNvwFR9css&_nc_oc=AdnOlwugd-a_Yt-WSY-rJGMEasY4EGYZ8Exjb64rrr672pxh0Voz_F8o46bTAjEKo0M&_nc_zt=24&_nc_ht=scontent-nrt1-2.xx&_nc_gid=4fHEZoJRgLMnM34BI30F8w&oh=00_AfcOORyQ7zhijv2OZ5YnwEslo6BS2i0Nb6SCZp7TjzhhcA&oe=690014F0",
"category": "Brand",
"country": null,
"ad_total_count": 0,
"ad_total_active_count": 0,
"ad_today_count": 0,
"ad_yesterday_count": 0,
"ad_seven_day_count": 0,
"landing_page_total_count": 0,
"landing_page_today_count": 0,
"landing_page_yesterday_count": 0,
"landing_page_seven_day_count": 0,
"product_total_count": 0,
"product_today_count": 0,
"product_yesterday_count": 0,
"product_seven_day_count": 0,
"videos_ad_total_count": 0,
"images_ad_total_count": 0,
"cards_ad_total_count": 0,
"latest_ad_data": null,
"started_at": 1761229088,
"group": {
"id": "d7fffb6c5166af6c285438ecf5202a87",
"name": "Popular"
},
"status": 1,
"stoped_at": null,
"expected_stoped_at": null,
"group_id": "d7fffb6c5166af6c285438ecf5202a87"
},
{
"task_id": "dc7ed8902c66fc5e1dfbe4ccad5c345b",
"updated_at": 1752228309,
"monitor_task_type": 1,
"facebook_page_id": "100171795648072",
"facebook_page_url": null,
"facebook_shop_url": null,
"facebook_shop_search_url": null,
"name": "Drivseljawbvic",
"avatar_url": "https://scontent.fhkg3-2.fna.fbcdn.net/v/t39.30808-1/306912264_172867825315290_6755609888012128163_n.png?stp=dst-png_s100x100&_nc_cat=111&ccb=1-7&_nc_sid=418b77&_nc_ohc=j6ltyg5Z8aEQ7kNvwEQ0Y-7&_nc_oc=AdkiFF0NURfFUSN4TmYrfO7OTUWoqbF1GOAEMn20mBqKHaLjQOQrFeVhWDijdw2Z8gE&_nc_zt=24&_nc_ht=scontent.fhkg3-2.fna&_nc_gid=qvmEW3KzY7mwh00zXsX2jA&oh=00_AfTYB5MD5CeDIrnGhb34ynmhsPO9ySgdFRnW4f2pZegAZw&oe=6876BE76",
"category": "Website",
"country": null,
"ad_total_count": 0,
"ad_total_active_count": 0,
"ad_today_count": 0,
"ad_yesterday_count": 0,
"ad_seven_day_count": 0,
"landing_page_total_count": 0,
"landing_page_today_count": 0,
"landing_page_yesterday_count": 0,
"landing_page_seven_day_count": 0,
"product_total_count": 0,
"product_today_count": 0,
"product_yesterday_count": 0,
"product_seven_day_count": 0,
"videos_ad_total_count": 0,
"images_ad_total_count": 0,
"cards_ad_total_count": 0,
"latest_ad_data": null,
"started_at": 1761206706,
"group": null,
"status": 1,
"stoped_at": null,
"expected_stoped_at": null,
"group_id": null
},
{
"task_id": "dbff999b121eecfad463c774b62411cb",
"updated_at": 1752228333,
"monitor_task_type": 1,
"facebook_page_id": "100162026063843",
"facebook_page_url": null,
"facebook_shop_url": null,
"facebook_shop_search_url": null,
"name": "Digital Empires",
"avatar_url": "https://scontent.fhkg3-1.fna.fbcdn.net/v/t39.30808-1/285700885_100165089396870_5023354579253836414_n.jpg?stp=dst-jpg_s100x100_tt6&_nc_cat=100&ccb=1-7&_nc_sid=418b77&_nc_ohc=UPBggd0uZOcQ7kNvwHSOgQb&_nc_oc=AdlWB06bQQC1_o4c2TkwB5Yn6tQikSwVuQEeCz_EDiFWh9FPVrJKWwa8g3XtJQ2wB7k&_nc_zt=24&_nc_ht=scontent.fhkg3-1.fna&_nc_gid=fsIB0bc18WV2nZoNh0Kktg&oh=00_AfRY_ewBJ-o3e78E-YvoRoWHg86FHTPrggbQy533E7YxGw&oe=6876A94A",
"category": "Professional networking",
"country": null,
"ad_total_count": 0,
"ad_total_active_count": 0,
"ad_today_count": 0,
"ad_yesterday_count": 0,
"ad_seven_day_count": 0,
"landing_page_total_count": 0,
"landing_page_today_count": 0,
"landing_page_yesterday_count": 0,
"landing_page_seven_day_count": 0,
"product_total_count": 0,
"product_today_count": 0,
"product_yesterday_count": 0,
"product_seven_day_count": 0,
"videos_ad_total_count": 0,
"images_ad_total_count": 0,
"cards_ad_total_count": 0,
"latest_ad_data": null,
"started_at": 1761206551,
"group": null,
"status": 1,
"stoped_at": null,
"expected_stoped_at": null,
"group_id": null
},
{
"task_id": "79b81677cc7a2e628e7978c22e329d5f",
"updated_at": 1755063602,
"monitor_task_type": 1,
"facebook_page_id": "100172286143867",
"facebook_page_url": null,
"facebook_shop_url": null,
"facebook_shop_search_url": null,
"name": "Nordstore11",
"avatar_url": "https://cdn.pipidata.com/images/0d8431940a87f31120e0acfa07b06993b8ab9c92e6d4c8a40f469a8754231b64.png",
"category": "Charity or second-hand shop",
"country": null,
"ad_total_count": 136,
"ad_total_active_count": 136,
"ad_today_count": 0,
"ad_yesterday_count": 0,
"ad_seven_day_count": 16,
"landing_page_total_count": 16,
"landing_page_today_count": 0,
"landing_page_yesterday_count": 0,
"landing_page_seven_day_count": 2,
"product_total_count": 0,
"product_today_count": 0,
"product_yesterday_count": 0,
"product_seven_day_count": 0,
"videos_ad_total_count": 3,
"images_ad_total_count": 0,
"cards_ad_total_count": 133,
"latest_ad_data": [
{
"id": "1312420270521735",
"type": 3,
"cover_url": "https://cdn.pipidata.com/images/18616d96c8fb6826c234b599ecdeed9530b3815c9f72d9c8946f2a4994eb15d5.png",
"video_url": "https://cdn.pipidata.com/videos/1d83fe7c7fa481e0c0123f53cf3d9a4f6b233cde358e37669360cd4a73cd81a0.mp4",
"ad_started_at": 1754809200,
"duration": 20,
"cards": [
{
"url": "https://cdn.pipidata.com/videos/1d83fe7c7fa481e0c0123f53cf3d9a4f6b233cde358e37669360cd4a73cd81a0.mp4",
"cover_url": "https://cdn.pipidata.com/images/18616d96c8fb6826c234b599ecdeed9530b3815c9f72d9c8946f2a4994eb15d5.png",
"type": 1,
"width": 720,
"height": 1280,
"duration": 20
},
{
"url": "https://cdn.pipidata.com/videos/1d83fe7c7fa481e0c0123f53cf3d9a4f6b233cde358e37669360cd4a73cd81a0.mp4",
"cover_url": "https://cdn.pipidata.com/images/18616d96c8fb6826c234b599ecdeed9530b3815c9f72d9c8946f2a4994eb15d5.png",
"type": 1,
"width": 720,
"height": 1280,
"duration": 20
},
{
"url": "https://cdn.pipidata.com/videos/c8c797aeae649de37b01a82464550dbcb51dd34239ce2e68344adbaed2278d5b.mp4",
"cover_url": "https://cdn.pipidata.com/images/b693cc8671c6fd359f6347ec21d2fd5eab5931c1c883281866f25bc9ccd8c625.png",
"type": 1,
"width": 720,
"height": 720,
"duration": 20
},
{
"url": "https://cdn.pipidata.com/videos/1d83fe7c7fa481e0c0123f53cf3d9a4f6b233cde358e37669360cd4a73cd81a0.mp4",
"cover_url": "https://cdn.pipidata.com/images/18616d96c8fb6826c234b599ecdeed9530b3815c9f72d9c8946f2a4994eb15d5.png",
"type": 1,
"width": 720,
"height": 1280,
"duration": 20
},
{
"url": "https://cdn.pipidata.com/videos/c2a1ed8828e8318d1b75874eb6178a95da41ff7fd706b3239c3790e24e402d4a.mp4",
"cover_url": "https://cdn.pipidata.com/images/7a50394e29e9ecfea2197fb6db6ab8ae08dfe874a1b215885dd63f33c06bd94a.png",
"type": 1,
"width": 720,
"height": 720,
"duration": 28
}
]
},
{
"id": "1286817879641438",
"type": 3,
"cover_url": "https://cdn.pipidata.com/images/a1e079caacd85dce28e92fdf8b86544c649530dbd84396139c3e44785ace8451.png",
"video_url": "https://cdn.pipidata.com/videos/531f6bb8a9069f5618678cbf52d0e7f73fec2f16bf495067668bdbe9ddabc2e1.mp4",
"ad_started_at": 1754722800,
"duration": 26,
"cards": [
{
"url": "https://cdn.pipidata.com/videos/531f6bb8a9069f5618678cbf52d0e7f73fec2f16bf495067668bdbe9ddabc2e1.mp4",
"cover_url": "https://cdn.pipidata.com/images/a1e079caacd85dce28e92fdf8b86544c649530dbd84396139c3e44785ace8451.png",
"type": 1,
"width": 720,
"height": 1280,
"duration": 26
},
{
"url": "https://cdn.pipidata.com/videos/cdca46436bbea23d20b5097a4efdf380fb53a314c928a6e11746a0efb075239c.mp4",
"cover_url": "https://cdn.pipidata.com/images/f653a06cf66ff010a807750dc85d5b3e37729c8b343095091a75107114e47b19.png",
"type": 1,
"width": 720,
"height": 720,
"duration": 26
},
{
"url": "https://cdn.pipidata.com/videos/531f6bb8a9069f5618678cbf52d0e7f73fec2f16bf495067668bdbe9ddabc2e1.mp4",
"cover_url": "https://cdn.pipidata.com/images/a1e079caacd85dce28e92fdf8b86544c649530dbd84396139c3e44785ace8451.png",
"type": 1,
"width": 720,
"height": 1280,
"duration": 26
},
{
"url": "https://cdn.pipidata.com/videos/531f6bb8a9069f5618678cbf52d0e7f73fec2f16bf495067668bdbe9ddabc2e1.mp4",
"cover_url": "https://cdn.pipidata.com/images/a1e079caacd85dce28e92fdf8b86544c649530dbd84396139c3e44785ace8451.png",
"type": 1,
"width": 720,
"height": 1280,
"duration": 26
},
{
"url": "https://cdn.pipidata.com/videos/c2a1ed8828e8318d1b75874eb6178a95da41ff7fd706b3239c3790e24e402d4a.mp4",
"cover_url": "https://cdn.pipidata.com/images/7a50394e29e9ecfea2197fb6db6ab8ae08dfe874a1b215885dd63f33c06bd94a.png",
"type": 1,
"width": 720,
"height": 720,
"duration": 28
}
]
},
{
"id": "1092924302406941",
"type": 3,
"cover_url": "https://cdn.pipidata.com/images/c073ce01682f9675d327773c1eb607b254c228b14a1db7d7c9ae2daecc1a32b3.png",
"video_url": "https://cdn.pipidata.com/videos/741497f7610a1e5615b56addc6012405afa3ee70c57e59ea7e5abe25b50bdc94.mp4",
"ad_started_at": 1754722800,
"duration": 35,
"cards": [
{
"url": "https://cdn.pipidata.com/videos/741497f7610a1e5615b56addc6012405afa3ee70c57e59ea7e5abe25b50bdc94.mp4",
"cover_url": "https://cdn.pipidata.com/images/c073ce01682f9675d327773c1eb607b254c228b14a1db7d7c9ae2daecc1a32b3.png",
"type": 1,
"width": 720,
"height": 1280,
"duration": 35
},
{
"url": "https://cdn.pipidata.com/videos/741497f7610a1e5615b56addc6012405afa3ee70c57e59ea7e5abe25b50bdc94.mp4",
"cover_url": "https://cdn.pipidata.com/images/c073ce01682f9675d327773c1eb607b254c228b14a1db7d7c9ae2daecc1a32b3.png",
"type": 1,
"width": 720,
"height": 1280,
"duration": 35
},
{
"url": "https://cdn.pipidata.com/videos/741497f7610a1e5615b56addc6012405afa3ee70c57e59ea7e5abe25b50bdc94.mp4",
"cover_url": "https://cdn.pipidata.com/images/c073ce01682f9675d327773c1eb607b254c228b14a1db7d7c9ae2daecc1a32b3.png",
"type": 1,
"width": 720,
"height": 1280,
"duration": 35
},
{
"url": "https://cdn.pipidata.com/videos/c5562c926a72166178e79e434af9b2ee5690dc098851d8d350cc64195dda62b2.mp4",
"cover_url": "https://cdn.pipidata.com/images/7da054c2dc933a362c21534cf3d204c99892f5ec2f335b8e03f1369be2c76ad5.png",
"type": 1,
"width": 720,
"height": 720,
"duration": 35
}
]
}
],
"started_at": 1752228298,
"group": null,
"status": 2,
"stoped_at": 1755064501,
"expected_stoped_at": 1755064320,
"group_id": null
},
{
"task_id": "4ab2e770342bd8deb033a5af8a25aa37",
"updated_at": 1752228294,
"monitor_task_type": 1,
"facebook_page_id": "100173198660671",
"facebook_page_url": null,
"facebook_shop_url": null,
"facebook_shop_search_url": null,
"name": "Sindrella",
"avatar_url": "https://scontent.fhkg3-1.fna.fbcdn.net/v/t39.30808-1/358691450_590084593276196_9086028703648647395_n.jpg?stp=dst-jpg_s100x100_tt6&_nc_cat=109&ccb=1-7&_nc_sid=418b77&_nc_ohc=uvRa02okqmwQ7kNvwF-gIMn&_nc_oc=Adnzy_iDiXxIh9hPzlBAF223mnFaFd78qDYTXWPxticDpDPTbQVbuLLvJ0u75qxK-Js&_nc_zt=24&_nc_ht=scontent.fhkg3-1.fna&_nc_gid=A_rFJ66U0QbMG6oStgOBBg&oh=00_AfROXawripZKrh7qUg4Fh5bBAcyO_3LGntOVseXqVPd5rg&oe=6876A4C4",
"category": "Personal blog",
"country": null,
"ad_total_count": 0,
"ad_total_active_count": 0,
"ad_today_count": 0,
"ad_yesterday_count": 0,
"ad_seven_day_count": 0,
"landing_page_total_count": 0,
"landing_page_today_count": 0,
"landing_page_yesterday_count": 0,
"landing_page_seven_day_count": 0,
"product_total_count": 0,
"product_today_count": 0,
"product_yesterday_count": 0,
"product_seven_day_count": 0,
"videos_ad_total_count": 0,
"images_ad_total_count": 0,
"cards_ad_total_count": 0,
"latest_ad_data": null,
"started_at": 1752228294,
"group": null,
"status": 2,
"stoped_at": 1755064501,
"expected_stoped_at": 1755064320,
"group_id": null
},
{
"task_id": "05b4b4d27e5bd81cffd67fe76d633bb5",
"updated_at": 1755063602,
"monitor_task_type": 1,
"facebook_page_id": "100105571735840",
"facebook_page_url": null,
"facebook_shop_url": null,
"facebook_shop_search_url": null,
"name": "Tenmokus",
"avatar_url": "https://cdn.pipidata.com/images/406ce8e8b836c6fd34b92c296b4159111748d640b19a64433fa0c9a370323f1c.png",
"category": "Brand",
"country": null,
"ad_total_count": 2,
"ad_total_active_count": 2,
"ad_today_count": 0,
"ad_yesterday_count": 0,
"ad_seven_day_count": 0,
"landing_page_total_count": 1,
"landing_page_today_count": 0,
"landing_page_yesterday_count": 0,
"landing_page_seven_day_count": 0,
"product_total_count": 1,
"product_today_count": 0,
"product_yesterday_count": 0,
"product_seven_day_count": 0,
"videos_ad_total_count": 1,
"images_ad_total_count": 0,
"cards_ad_total_count": 1,
"latest_ad_data": [
{
"id": "1181314833828596",
"type": 1,
"cover_url": "https://cdn.pipidata.com/images/6b49e43132433fabe24de1293a5a4d7405e7e801c54f8da44e07b6a9238fae22.png",
"video_url": "https://cdn.pipidata.com/videos/1c1adf5b5e86dce586138494e40e10153c840c8c6ceca7d7dae6b3f2beb0cb4b.mp4",
"ad_started_at": 1754463600,
"duration": 41,
"cards": null
},
{
"id": "1456792355516909",
"type": 3,
"cover_url": "https://cdn.pipidata.com/images/c59ec09cc413f543b0cbda44bec7411cfddc614b395c58135f87ed351ed159e7.png",
"video_url": null,
"ad_started_at": 1754463600,
"duration": null,
"cards": [
{
"url": "https://cdn.pipidata.com/images/c59ec09cc413f543b0cbda44bec7411cfddc614b395c58135f87ed351ed159e7.png",
"cover_url": null,
"type": 2,
"width": 1080,
"height": 1080,
"duration": null
},
{
"url": "https://cdn.pipidata.com/images/5165adc797a61bb97dc843d01fb1ed33376a1d4c005009d4454c2220e95460a8.png",
"cover_url": null,
"type": 2,
"width": 1080,
"height": 1080,
"duration": null
},
{
"url": "https://cdn.pipidata.com/images/7de7ebdf111f09c86c8b5df1d9bb67aa81b7f5b2e8eccea83c05b22bf9819302.png",
"cover_url": null,
"type": 2,
"width": 1080,
"height": 1080,
"duration": null
},
{
"url": "https://cdn.pipidata.com/images/709214fb5135260f373741924af2081d85e0c5634064f9901d6c0422d2985e5a.png",
"cover_url": null,
"type": 2,
"width": 1080,
"height": 1080,
"duration": null
},
{
"url": "https://cdn.pipidata.com/images/759ec8b991e82ef4a29879b4695efa4855f46e0c647c48bdd31abf77d52d2354.png",
"cover_url": null,
"type": 2,
"width": 1080,
"height": 1080,
"duration": null
},
{
"url": "https://cdn.pipidata.com/images/2dfad0d966b00a721562e304f675efcc7002fd3a5443e47d1161154620021811.png",
"cover_url": null,
"type": 2,
"width": 1080,
"height": 1080,
"duration": null
}
]
}
],
"started_at": 1752228280,
"group": null,
"status": 2,
"stoped_at": 1755064501,
"expected_stoped_at": 1755064320,
"group_id": null
},
{
"task_id": "f52a7c73487887f8256f5401f964a8dc",
"updated_at": 1752228269,
"monitor_task_type": 1,
"facebook_page_id": "100104419147228",
"facebook_page_url": null,
"facebook_shop_url": null,
"facebook_shop_search_url": null,
"name": "Do Good Chicken",
"avatar_url": "https://scontent.fhkg3-1.fna.fbcdn.net/v/t39.30808-1/260707035_117860484038288_5540380162612794301_n.jpg?stp=dst-jpg_s100x100_tt6&_nc_cat=107&ccb=1-7&_nc_sid=418b77&_nc_ohc=Q_QPMVGVCSoQ7kNvwGbOOGc&_nc_oc=AdkZ9tktdMkJ24dSU3AZdGcdXVwkrzbUHH9YF8henKZosHRilNP12mXJAO0unXEG4FI&_nc_zt=24&_nc_ht=scontent.fhkg3-1.fna&_nc_gid=jMuB2riLwhxL3eWzuHvckQ&oh=00_AfSUhpPuXiOY5ulfHa11Hl0vflGHs6gr_ViYN_52QEQZbw&oe=6876A5B4",
"category": "Food and drink",
"country": null,
"ad_total_count": 0,
"ad_total_active_count": 0,
"ad_today_count": 0,
"ad_yesterday_count": 0,
"ad_seven_day_count": 0,
"landing_page_total_count": 0,
"landing_page_today_count": 0,
"landing_page_yesterday_count": 0,
"landing_page_seven_day_count": 0,
"product_total_count": 0,
"product_today_count": 0,
"product_yesterday_count": 0,
"product_seven_day_count": 0,
"videos_ad_total_count": 0,
"images_ad_total_count": 0,
"cards_ad_total_count": 0,
"latest_ad_data": null,
"started_at": 1752228269,
"group": null,
"status": 2,
"stoped_at": 1755064501,
"expected_stoped_at": 1755064320,
"group_id": null
},
{
"task_id": "d9134618f577976693d74d841f51b03d",
"updated_at": 1752228264,
"monitor_task_type": 1,
"facebook_page_id": "100103418674041",
"facebook_page_url": null,
"facebook_shop_url": null,
"facebook_shop_search_url": null,
"name": "Hinge",
"avatar_url": "https://scontent.fhkg3-2.fna.fbcdn.net/v/t39.30808-1/379398647_778952250906505_6213277376455737565_n.jpg?stp=dst-jpg_s100x100_tt6&_nc_cat=108&ccb=1-7&_nc_sid=418b77&_nc_ohc=E3okhVQCrigQ7kNvwG4DWXA&_nc_oc=AdlCjr0lqOLHnrWl3NifA61eRj-MTbstxY-omGn2G2pD5cP3rgM1ehiJcRrlWly4waY&_nc_zt=24&_nc_ht=scontent.fhkg3-2.fna&_nc_gid=yMl5fU2MU0YfPxar3UmjaA&oh=00_AfRhk_eWGz-kdY38mJlhYh0aohIILQYDI974FNLYSfK-Sg&oe=6876A547",
"category": "Musician/band",
"country": null,
"ad_total_count": 0,
"ad_total_active_count": 0,
"ad_today_count": 0,
"ad_yesterday_count": 0,
"ad_seven_day_count": 0,
"landing_page_total_count": 0,
"landing_page_today_count": 0,
"landing_page_yesterday_count": 0,
"landing_page_seven_day_count": 0,
"product_total_count": 0,
"product_today_count": 0,
"product_yesterday_count": 0,
"product_seven_day_count": 0,
"videos_ad_total_count": 0,
"images_ad_total_count": 0,
"cards_ad_total_count": 0,
"latest_ad_data": null,
"started_at": 1752228264,
"group": null,
"status": 2,
"stoped_at": 1755064501,
"expected_stoped_at": 1755064320,
"group_id": null
},
{
"task_id": "0395334efd41961c3b4bd9bd250d56ed",
"updated_at": 1752228241,
"monitor_task_type": 1,
"facebook_page_id": "100102611580031",
"facebook_page_url": null,
"facebook_shop_url": null,
"facebook_shop_search_url": null,
"name": "Vavy",
"avatar_url": "https://scontent.fhkg3-1.fna.fbcdn.net/v/t39.30808-1/294746387_424064979742195_6034614908095617282_n.jpg?stp=dst-jpg_s100x100_tt6&_nc_cat=107&ccb=1-7&_nc_sid=418b77&_nc_ohc=2uCaEtOOl70Q7kNvwEO_4rK&_nc_oc=AdndWPDQhznwIkG3Cu5vB-0Lm6pkMtXhroxVGZhT4Dqi5MNI9SN7tIm3o2XmfIAU58w&_nc_zt=24&_nc_ht=scontent.fhkg3-1.fna&_nc_gid=cLIbhpIF0ei7edUZcf_ffw&oh=00_AfRWA5flbQLlVNoII0J9c_tNEojctV_kW5axYBA1SlcAtg&oe=6876C7D7",
"category": "Internet marketing service",
"country": null,
"ad_total_count": 0,
"ad_total_active_count": 0,
"ad_today_count": 0,
"ad_yesterday_count": 0,
"ad_seven_day_count": 0,
"landing_page_total_count": 0,
"landing_page_today_count": 0,
"landing_page_yesterday_count": 0,
"landing_page_seven_day_count": 0,
"product_total_count": 0,
"product_today_count": 0,
"product_yesterday_count": 0,
"product_seven_day_count": 0,
"videos_ad_total_count": 0,
"images_ad_total_count": 0,
"cards_ad_total_count": 0,
"latest_ad_data": null,
"started_at": 1752228241,
"group": null,
"status": 2,
"stoped_at": 1755064501,
"expected_stoped_at": 1755064320,
"group_id": null
},
{
"task_id": "c0757d7f9b661b551205de2e58c6f5d2",
"updated_at": 1752228222,
"monitor_task_type": 1,
"facebook_page_id": "100102326212825",
"facebook_page_url": null,
"facebook_shop_url": null,
"facebook_shop_search_url": null,
"name": "ELITE Jewels - Waterproof Luxury Jewelry",
"avatar_url": "https://scontent.fhkg3-2.fna.fbcdn.net/v/t39.30808-1/307328550_100102452879479_5735057937022205435_n.jpg?stp=dst-jpg_s100x100_tt6&_nc_cat=106&ccb=1-7&_nc_sid=418b77&_nc_ohc=Gbw6lUB7VL0Q7kNvwEaBXus&_nc_oc=Adnau_Ru4r0D50674LVCSz9fK_tfUdXIPvxPdOABkQF6AkfBvTrjd5dgWQjUQ-yDiX4&_nc_zt=24&_nc_ht=scontent.fhkg3-2.fna&_nc_gid=Iw3qN2GwoBMTD_nq9A6UWw&oh=00_AfQJKDy20xv3GpqhFNkX_aFWNRRlSBJDqz9XRJJB0FtdjQ&oe=6876CBC4",
"category": "Entrepreneur",
"country": null,
"ad_total_count": 0,
"ad_total_active_count": 0,
"ad_today_count": 0,
"ad_yesterday_count": 0,
"ad_seven_day_count": 0,
"landing_page_total_count": 0,
"landing_page_today_count": 0,
"landing_page_yesterday_count": 0,
"landing_page_seven_day_count": 0,
"product_total_count": 0,
"product_today_count": 0,
"product_yesterday_count": 0,
"product_seven_day_count": 0,
"videos_ad_total_count": 0,
"images_ad_total_count": 0,
"cards_ad_total_count": 0,
"latest_ad_data": null,
"started_at": 1752228222,
"group": null,
"status": 2,
"stoped_at": 1755064501,
"expected_stoped_at": 1755064320,
"group_id": null
}
],
"last_page": 2,
"per_page": 10,
"total": 15
},
"credits": {
"remaining_credits": 745,
"consumed_credits": 0,
"total_credits": 745
}
}
Example data from the existing documentation
Response structure
| Name | Type | Required | Constraints | Display Name | Description |
|---|---|---|---|---|---|
| » code | integer | true | none | Business status code | |
| » message | string | true | none | Response Message | none |
| » data | object | true | none | Response Data | none |
| »» current_page | integer | false | none | Current Page Number | none |
| »» data | [object] | false | none | Data List | none |
| »»» facebook_page_id | string¦null | true | none | Facebook Advertiser ID | none |
| »»» facebook_shop_url | string¦null | true | none | Store/Website URL | none |
| »»» name | string¦null | true | none | Monitor Object Name | none |
| »»» avatar_url | string¦null | true | none | Monitor Object Avatar | none |
| »»» monitor_task_type | integer | true | none | Monitor Task Type | none |
| »»» category | string¦null | true | none | Facebook Advertiser Category | none |
| »»» country | string¦null | true | none | Country | none |
| »»» ad_total_count | integer | true | none | Total Ads | none |
| »»» ad_total_active_count | integer | true | none | Total Active Ads | none |
| »»» ad_today_count | integer | true | none | Today's New Ads | none |
| »»» ad_yesterday_count | integer | true | none | Yesterday's New Ads | none |
| »»» landing_page_total_count | integer | true | none | Total Landing Pages | none |
| »»» landing_page_today_count | integer | true | none | Today's New Landing Pages | none |
| »»» landing_page_yesterday_count | integer | true | none | Yesterday's New Landing Pages | none |
| »»» product_total_count | integer | true | none | Total Products | none |
| »»» product_today_count | integer | true | none | Today's New Products | none |
| »»» product_yesterday_count | integer | true | none | Yesterday's New Products | none |
| »»» latest_ad_data | [object]¦null | true | none | Latest Ad Data | none |
| »»»» id | string | true | none | Ad ID | none |
| »»»» cover_url | string | true | none | Cover Image | none |
| »»»» ad_started_at | integer | true | none | Published Time | Timestamp in seconds. |
| »»» task_id | string | true | none | Monitor Task ID | none |
| »»» started_at | integer | true | none | Start Monitoring Time | Timestamp in seconds. |
| »»» group_id | string¦null | true | none | Group ID | none |
| »»» group | object¦null | true | none | none | |
| »»»» id | string | true | none | Group ID | none |
| »»»» name | string | true | none | Group Name | none |
| »»» status | integer | true | none | Task Status | Optional values: 1-Monitoring, 2-Stopped. |
| »»» stoped_at | integer¦null | true | none | Stop Time | Timestamp in seconds. |
| »»» expected_stoped_at | integer | true | none | Expected Stop Time | Timestamp in seconds. |
| »» last_page | integer | false | none | Last Page Number | none |
| »» per_page | integer | false | none | Page Size | none |
| »» total | integer | false | none | Total Count | none |
| » credits | object | true | none | Credits information | Credits information for the current API request |
| »» remaining_credits | integer | true | none | Remaining credits | Remaining credits after this request |
| »» consumed_credits | integer | true | none | Consumed credits | Credits consumed by this request |
| »» total_credits | integer | true | none | Total credits | Total credits of the current credits type |
